ReferenceChunkSet
Date: 2014-05-11

org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks

## Class ReferenceChunkSet

- java.lang.Object
- - org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.ChunkSet
  - - org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.ReferenceChunkSet

-     public class ReferenceChunkSet
      extends ChunkSet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceChunkSet(int MaxNumberOfChunks, int ChunkSize, java.lang.String CategoryName, java.lang.String CategoryTable, java.math.BigInteger numberOfCategoryElements, LexicalEngineConfiguration config, Engine engine)`
    `ReferenceChunkSet(int MaxNumberOfChunks, int ChunkSize, java.lang.String CategoryName, java.lang.String CategoryColumn, LexicalEngineConfiguration config, Engine engine)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReferenceChunk` | `nextChunk()`

    - ### Methods inherited from class org.gcube.contentmanagement.lexicalmatcher.analysis.guesser.treeStructure.chunks.ChunkSet

      `generateChunkSet, getChunkSize, getNumberOfEntries, getSeriesColumn, getSeriesName, setChunkSize, setNumberOfEntries, setSeriesColumn, setSeriesName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceChunkSet

          public ReferenceChunkSet(int MaxNumberOfChunks,
                           int ChunkSize,
                           java.lang.String CategoryName,
                           java.lang.String CategoryColumn,
                           LexicalEngineConfiguration config,
                           Engine engine)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### ReferenceChunkSet

          public ReferenceChunkSet(int MaxNumberOfChunks,
                           int ChunkSize,
                           java.lang.String CategoryName,
                           java.lang.String CategoryTable,
                           java.math.BigInteger numberOfCategoryElements,
                           LexicalEngineConfiguration config,
                           Engine engine)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### nextChunk

          public ReferenceChunk nextChunk()

      Specified by:
        `nextChunk` in class `ChunkSet`